Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.net
Class Header

    java.lang.Object
      org.apache.cassandra.net.Header

    public class Header

extends java.lang.Object

Field Summary
`protected java.util.Map<java.lang.String,byte[]>` | `details_`

Method Summary
`int` | `serializedSize()`
`static IVersionedSerializer<Header>` | `serializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### details_

    protected final java.util.Map<java.lang.String,byte[]> details_

Method Detail

### serializer

    public static IVersionedSerializer<Header> serializer()

### serializedSize

    public int serializedSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation